- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#body.aspect_1)
- [LegacyVisualSummarySectionType](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#LegacyVisualSummarySectionType)

**Full name**: projects.locations.instances.legacySoarSettings.legacyAddVisualSummaryRecords

Adds new field metadata for visual summaries. This defines which data fields are highlighted in the visual overview of entities or events within the platform.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySoarSettings:legacyAddVisualSummaryRecords`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to add the visual summary records to. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "fieldName": string, "sectionType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#LegacyVisualSummarySectionType`), "id": string, "maxValue": integer, "isDescending": boolean, "isTypeBool": boolean } ``` |

| Fields ||
|---|---|
| `fieldName` | `string` Output only. The field name. |
| `sectionType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyAddVisualSummaryRecords#LegacyVisualSummarySectionType`)`` Output only. The section type. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The id. |
| `maxValue` | `integer` Output only. The max value. |
| `isDescending` | `boolean` Output only. Whether is descending. |
| `isTypeBool` | `boolean` Output only. Whether is type bool. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarSettings.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LegacyVisualSummarySectionType

Visual summary section type.

| Enums ||
|---|---|
| `ENTITIES` | Entities. |
| `RELATIONS` | Events. |